Summary: Gathers news postings. 
Name: suck
Version: 4.2.1
Release: 1
Group: Applications/Internet
Copyright: GPL
Source: http://home.att.net/~bobyetman/suck-%{version}.tar.gz
Source1: sucknewsrc
Source2: get.redhat.newsgroups 
BuildRoot: /var/tmp/suck-%{PACKAGE_VERSION}-%{PACKAGE_RELEASE}

%description
This package contains software for copying news from an NNTP server to your
local machine, and copying replies back up to an NNTP server.  It works
with most standard NNTP servers, including INN, CNEWS, DNEWS, and typhoon.

%prep
%setup -q 
./configure --prefix=${RPM_BUILD_ROOT}/usr

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make install

mkdir -p $RPM_BUILD_ROOT/var/log
touch $RPM_BUILD_ROOT/var/log/suck.errlog
chown root.root $RPM_BUILD_ROOT/var/log/suck.errlog
chmod 600 $RPM_BUILD_ROOT/var/log/suck.errlog  

mkdir -p $RPM_BUILD_ROOT/usr/lib/news/suck/bin/scripts/ 
install -m755 -o root -g root sample/get.news.inn $RPM_BUILD_ROOT/usr/lib/news/suck/bin/scripts/
install -m755 -o root -g root sample/get.news.generic $RPM_BUILD_ROOT/usr/lib/news/suck/bin/scripts/
install -m755 -o root -g root sample/put.news  $RPM_BUILD_ROOT/usr/lib/news/suck/bin/scripts/ 
install -m644 -o root -g root $RPM_SOURCE_DIR/get.redhat.newsgroups $RPM_BUILD_ROOT/usr/lib/news/suck/bin/scripts/
install -m644 -o root -g root $RPM_SOURCE_DIR/sucknewsrc $RPM_BUILD_ROOT/usr/lib/news/suck/bin/

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc README* CHANGELOG CONTENTS
%doc sample/{*.pl,*.sample} 
/usr/bin/suck
/usr/bin/lmove
/usr/bin/rpost
/usr/bin/testhost
/usr/man/man1/lmove.1
/usr/man/man1/suck.1
/usr/man/man1/rpost.1
/usr/man/man1/testhost.1  
/usr/lib/news/suck/bin/sucknewsrc
/usr/lib/news/suck/bin/scripts/get.news.inn
/usr/lib/news/suck/bin/scripts/get.news.generic
/usr/lib/news/suck/bin/scripts/get.redhat.newsgroups
/usr/lib/news/suck/bin/scripts/put.news 
/var/log/suck.errlog 

%changelog
* Thu Apr 15 1999 Michael Maher <mike@redhat.com>
- built package for 6.0
- updated source

* Fri Oct 16 1998 Michael Maher <mike@redhat.com>
- fixed spec file

* Mon Jul 20 1998 Michael Maher <mike@redhat.com>
- built package
                  

